Create an annotation thread on a published post.
curl --request POST \
--url https://api.nebyoulous.space/public/posts/{slug}/annotation-threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"anchor": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
anchor: {x: 123, y: 123, width: 123, height: 123}
})
};
fetch('https://api.nebyoulous.space/public/posts/{slug}/annotation-threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/public/posts/{slug}/annotation-threads"
payload = {
"body": "<string>",
"anchor": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"thread": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
},
"body": "<string>",
"mentions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
}
],
"anchor": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"resolvedAt": "<string>",
"resolvedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"replies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
},
"body": "<string>",
"mentions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Comments and annotations
Create an annotation thread on a published post.
POST
/
public
/
posts
/
{slug}
/
annotation-threads
Create an annotation thread on a published post.
curl --request POST \
--url https://api.nebyoulous.space/public/posts/{slug}/annotation-threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"anchor": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
anchor: {x: 123, y: 123, width: 123, height: 123}
})
};
fetch('https://api.nebyoulous.space/public/posts/{slug}/annotation-threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/public/posts/{slug}/annotation-threads"
payload = {
"body": "<string>",
"anchor": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"thread": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
},
"body": "<string>",
"mentions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
}
],
"anchor": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"resolvedAt": "<string>",
"resolvedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"replies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
},
"body": "<string>",
"mentions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"name": "<string>",
"image": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Minimum string length:
1Body
application/json
Response
Default Response
Show child attributes
Show child attributes